[arch-commits] Commit in python-invoke/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Aug 7 08:52:08 UTC 2019


    Date: Wednesday, August 7, 2019 @ 08:52:07
  Author: felixonmars
Revision: 498135

archrelease: copy trunk to community-any

Added:
  python-invoke/repos/community-any/PKGBUILD
    (from rev 498134, python-invoke/trunk/PKGBUILD)
Deleted:
  python-invoke/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  112 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 56 insertions(+), 56 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-07 08:51:57 UTC (rev 498134)
+++ PKGBUILD	2019-08-07 08:52:07 UTC (rev 498135)
@@ -1,56 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgbase=python-invoke
-pkgname=(python-invoke python2-invoke)
-pkgver=1.2.0
-pkgrel=2
-pkgdesc="Pythonic task execution"
-url="https://github.com/pyinvoke/invoke"
-license=('BSD')
-arch=('any')
-makedepends=('python-setuptools' 'python2-setuptools')
-checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
-              'python-pytest-relaxed' 'python2-pytest-relaxed')
-source=("https://pypi.io/packages/source/i/invoke/invoke-$pkgver.tar.gz")
-sha512sums=('354353d6fc359167ff36f999a6158c7f8dae1cd0d91ff5f344248a9b60e2ab3cdaf84d69b58e839d70b727e9417ab13cf84953b6f17c66d0f7aab839f13512dd')
-
-prepare() {
-  find invoke-$pkgver -type f -name '*.pyc' -delete
-  cp -a invoke-$pkgver{,-py2}
-}
-
-build() {
-  cd "$srcdir"/invoke-$pkgver
-  python setup.py build
-
-  cd "$srcdir"/invoke-$pkgver-py2
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir"/invoke-$pkgver
-  python setup.py pytest || warning "Tests failed"
-
-  cd "$srcdir"/invoke-$pkgver-py2
-  python2 setup.py pytest || warning "Tests failed"
-}
-
-package_python-invoke() {
-  depends=('python')
-
-  cd invoke-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python2-invoke() {
-  depends=('python2')
-
-  cd invoke-$pkgver-py2
-  python2 setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-
-  for _exe in "$pkgdir"/usr/bin/*; do
-    mv "$_exe"{,2}
-  done
-}

Copied: python-invoke/repos/community-any/PKGBUILD (from rev 498134, python-invoke/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-08-07 08:52:07 UTC (rev 498135)
@@ -0,0 +1,56 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-invoke
+pkgname=(python-invoke python2-invoke)
+pkgver=1.3.0
+pkgrel=1
+pkgdesc="Pythonic task execution"
+url="https://github.com/pyinvoke/invoke"
+license=('BSD')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-pytest-runner' 'python2-pytest-runner' 'python-mock' 'python2-mock'
+              'python-pytest-relaxed' 'python2-pytest-relaxed')
+source=("https://pypi.io/packages/source/i/invoke/invoke-$pkgver.tar.gz")
+sha512sums=('c33e383d92065d2b9ca75dff3d51e46f19245a156535835b7545cf26ab4f839db7cac95328c4f370cda1a61432cc2ab85ba0f88b67f4b0c3a57cbeaff591e34c')
+
+prepare() {
+  find invoke-$pkgver -type f -name '*.pyc' -delete
+  cp -a invoke-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/invoke-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/invoke-$pkgver
+  python setup.py pytest || warning "Tests failed"
+
+  cd "$srcdir"/invoke-$pkgver-py2
+  python2 setup.py pytest || warning "Tests failed"
+}
+
+package_python-invoke() {
+  depends=('python')
+
+  cd invoke-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-invoke() {
+  depends=('python2')
+
+  cd invoke-$pkgver-py2
+  python2 setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+
+  for _exe in "$pkgdir"/usr/bin/*; do
+    mv "$_exe"{,2}
+  done
+}


More information about the arch-commits mailing list